curl --request PUT \
--url https://api-staging.pixwel.com/api/files/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"_id": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"project": "507f1f77bcf86cd799439011",
"asset": "507f1f77bcf86cd799439011",
"name": "<string>",
"language": "<string>",
"country": "<string>",
"tags": [
"<string>"
],
"path": "<string>",
"verified": true,
"embargo": {
"event": true,
"end": 123
},
"warnings": "<unknown>",
"aspera": {
"username": "<string>"
},
"created": 123,
"$flags": "<unknown>",
"$links": {
"self": "//example.com/path/to/object",
"project": "//example.com/path/to/object",
"asset": "//example.com/path/to/object"
},
"$aspera": {
"downloaded": true
}
}
'import requests
url = "https://api-staging.pixwel.com/api/files/{id}"
payload = {
"_id": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"project": "507f1f77bcf86cd799439011",
"asset": "507f1f77bcf86cd799439011",
"name": "<string>",
"language": "<string>",
"country": "<string>",
"tags": ["<string>"],
"path": "<string>",
"verified": True,
"embargo": {
"event": True,
"end": 123
},
"warnings": "<unknown>",
"aspera": { "username": "<string>" },
"created": 123,
"$flags": "<unknown>",
"$links": {
"self": "//example.com/path/to/object",
"project": "//example.com/path/to/object",
"asset": "//example.com/path/to/object"
},
"$aspera": { "downloaded": True }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '507f1f77bcf86cd799439011',
studio: '507f1f77bcf86cd799439011',
project: '507f1f77bcf86cd799439011',
asset: '507f1f77bcf86cd799439011',
name: '<string>',
language: '<string>',
country: '<string>',
tags: ['<string>'],
path: '<string>',
verified: true,
embargo: {event: true, end: 123},
warnings: '<unknown>',
aspera: {username: '<string>'},
created: 123,
$flags: '<unknown>',
$links: {
self: '//example.com/path/to/object',
project: '//example.com/path/to/object',
asset: '//example.com/path/to/object'
},
$aspera: {downloaded: true}
})
};
fetch('https://api-staging.pixwel.com/api/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"project": "507f1f77bcf86cd799439011",
"asset": "507f1f77bcf86cd799439011",
"name": "<string>",
"language": "<string>",
"country": "<string>",
"tags": [
"<string>"
],
"path": "<string>",
"verified": true,
"embargo": {
"event": true,
"end": 123
},
"warnings": "<unknown>",
"aspera": {
"username": "<string>"
},
"created": 123,
"$flags": "<unknown>",
"$links": {
"self": "//example.com/path/to/object",
"project": "//example.com/path/to/object",
"asset": "//example.com/path/to/object"
},
"$aspera": {
"downloaded": true
}
}Update a file
Authorizations
Email address and password. A personal access token (pat_…) or session token (token-…) may also be sent in the password field, with any non-empty value as the username — a blank username short-circuits to a 401 before the token is read.
Path Parameters
Body
"507f1f77bcf86cd799439011"
"507f1f77bcf86cd799439011"
"507f1f77bcf86cd799439011"
"507f1f77bcf86cd799439011"
Show child attributes
Show child attributes
Shape not inferred — the sampled response had no entries
Show child attributes
Show child attributes
Shape not inferred — the sampled response had no entries
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
"507f1f77bcf86cd799439011"
"507f1f77bcf86cd799439011"
"507f1f77bcf86cd799439011"
"507f1f77bcf86cd799439011"
Show child attributes
Show child attributes
Shape not inferred — the sampled response had no entries
Show child attributes
Show child attributes
Shape not inferred — the sampled response had no entries
Show child attributes
Show child attributes
Show child attributes
Show child attributes